Package org.jfree.layouting.renderer.process

## Class ParagraphBreakState

- java.lang.Object
- - org.jfree.layouting.renderer.process.ParagraphBreakState

-     public class ParagraphBreakState
      extends java.lang.Object

  Used in the Infinite*AxisLayoutSteps.
  Author:
    Thomas Morgner

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ParagraphBreakState​(ParagraphRenderBox paragraph)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `add​(InlineSequenceElement element)` |
    `void` | `clear​()` |
    `ParagraphRenderBox` | `getParagraph​()` |
    `InlineSequenceElement[]` | `getSequence​()` |
    `java.lang.Object` | `getSuspendItem​()` |
    `boolean` | `isContainsContent​()` |
    `boolean` | `isSuspended​()` |
    `void` | `setSuspendItem​(java.lang.Object suspendItem)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ParagraphBreakState

          public ParagraphBreakState​(ParagraphRenderBox paragraph)

  - ### Method Detail

    - #### getParagraph

          public ParagraphRenderBox getParagraph​()

    - #### getSuspendItem

          public java.lang.Object getSuspendItem​()

    - #### setSuspendItem

          public void setSuspendItem​(java.lang.Object suspendItem)

    - #### add

          public void add​(InlineSequenceElement element)

    - #### isContainsContent

          public boolean isContainsContent​()

    - #### isSuspended

          public boolean isSuspended​()

    - #### getSequence

          public InlineSequenceElement[] getSequence​()

    - #### clear

          public void clear​()